view.hpp File Reference

## Classes

struct | ranges::make_view_closure_fn
struct | ranges::views::view_closure< ViewFn >
struct | ranges::views::view_closure_base

## Functions

template<typename Rng >
constexpr bool | ranges::simple_view () noexcept

## Variables

template<typename ViewFn , typename Rng >
concept | ranges::invocable_view_closure
template<typename ViewFn , typename Rng >
concept | ranges::defer::invocable_view_closure
template<typename ViewFn , typename Rng >
concept | ranges::invocable_view_closure_ = !derived_from<invoke_result_t<ViewFn, Rng>, detail::view_closure_base_>
constexpr make_view_closure_fn | ranges::make_view_closure {}
template<typename Rng >
concept | ranges::simple_view_
template<typename Rng >
concept | ranges::simple_view_frag_ = same_as<iterator_t<Rng>, iterator_t<Rng const>> && same_as<sentinel_t<Rng>, sentinel_t<Rng const>>

## Variable Documentation

## invocable_view_closure

template<typename ViewFn , typename Rng >

concept ranges::defer::invocable_view_closure

Initial value:
=
ranges::invocable_view_closure < ViewFn, Rng >